<?xml version="1.0" encoding="UTF-8"?>
<!--
    * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
    * Copyright (C) 2004-2007 - INRIA - Vincent COUVERT 
    * 
    * This file must be used under the terms of the CeCILL.
    * This source file is licensed as described in the file COPYING, which
    * you should have received as part of this distribution.  The terms
    * are also available at    
    * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
    *
    -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="mtlb_is">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>mtlb_is</refname>
    <refpurpose>Matlab string insertion emulation function</refpurpose>
  </refnamediv>
  <refsection>
    <title>Description</title>
    <para>
    Matlab and Scilab insertion behave differently for strings due to the fact
    that they do not consider character strings in the same way.
    </para>
    <para> 
    The function <literal>str = mtlb_is(sto,sfrom,i,j)</literal> is used by
    <literal>mfile2sci</literal> to replace insertion operations for character strings. This function will
    determine the correct semantic at run time. There is no replacement possibility for it.
    </para>
    <para>Caution: <literal>mtlb_is</literal> has not to be used for hand coded functions.</para>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="MatlabScilab_character_strings">Matlab-Scilab_character_strings</link>
      </member>
      <member>
        <link linkend="mtlb_i">mtlb_i</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <simplelist type="vert">
      <member>V.C.</member>
    </simplelist>
  </refsection>
</refentry>
